Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator
Class If

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.If

public final class If
extends Operator

Implementation of the If operator. The If operator consists of three parts, the condition, the true action and the false action. If the condition evaluates to true the true action is evaluated otherwise the false condition is evaluated.
Input 1: A Boolean object or Expression returning a Boolean object.
Input 2: An Expression
Input 3 (optional): An Expression.
Returns: The result of evaluating the true or false expression.

See Also:
  Serialized Form

Constructor Summary
`If()` Constructs an empty operator and operands can be added later by calling addSubExpression() on this.
`If(java.lang.Object logical, java.lang.Object trueEx, java.lang.Object falseEx)` Constructs this operator for the given operands.

Method Summary
`java.lang.Object` | `getFalseExpression()`
`java.lang.Object` | `getLogicalExpression()`
`java.lang.Class[]` | `getParameterSignature()`
`java.lang.Object` | `getTrueExpression()`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### If

    public If()

  Constructs an empty operator and operands can be added later by calling addSubExpression() on this.

### If

    public If(java.lang.Object logical,
              java.lang.Object trueEx,
              java.lang.Object falseEx)

  Constructs this operator for the given operands.

  Parameters:
    `logical` - A Boolean object or expression returning a Boolean object.
    `trueEx` - An expression that is executed if `logical` returns Boolean true object.
    `falseEx` - An expression that is executed if `logical` returns Boolean false object.

Method Detail

### getLogicalExpression

    public java.lang.Object getLogicalExpression()

### getTrueExpression

    public java.lang.Object getTrueExpression()

### getFalseExpression

    public java.lang.Object getFalseExpression()

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved